Subject: linux-next: manual merge of the slave-dma tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 23 Jan 2019 13:41:57 +1100

Hi Vinod,

Today's linux-next merge of the slave-dma tree got a conflict in:

  drivers/dma/imx-sdma.c

between commit:

  750afb08ca71 ("cross-tree: phase out dma_zalloc_coherent()")

from Linus' tree and commit:

  ceaf52265148 ("dmaengine: imx-sdma: pass ->dev to dma_alloc_coherent() API")

from the slave-dma tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc drivers/dma/imx-sdma.c
index 86708fb9bda1,af14a8d6efa8..000000000000
--- a/drivers/dma/imx-sdma.c
+++ b/drivers/dma/imx-sdma.c
@@@ -1182,8 -1189,8 +1189,8 @@@ static int sdma_request_channel0(struc
  {
  	int ret = -EBUSY;
  
- 	sdma->bd0 = dma_alloc_coherent(NULL, PAGE_SIZE, &sdma->bd0_phys,
 -	sdma->bd0 = dma_zalloc_coherent(sdma->dev, PAGE_SIZE, &sdma->bd0_phys,
 -					GFP_NOWAIT);
++	sdma->bd0 = dma_alloc_coherent(sdma->dev, PAGE_SIZE, &sdma->bd0_phys,
 +				       GFP_NOWAIT);
  	if (!sdma->bd0) {
  		ret = -ENOMEM;
  		goto out;
@@@ -1205,8 -1212,8 +1212,8 @@@ static int sdma_alloc_bd(struct sdma_de
  	u32 bd_size = desc->num_bd * sizeof(struct sdma_buffer_descriptor);
  	int ret = 0;
  
- 	desc->bd = dma_alloc_coherent(NULL, bd_size, &desc->bd_phys,
- 				      GFP_NOWAIT);
 -	desc->bd = dma_zalloc_coherent(desc->sdmac->sdma->dev, bd_size,
 -				       &desc->bd_phys, GFP_NOWAIT);
++	desc->bd = dma_alloc_coherent(desc->sdmac->sdma->dev, bd_size,
++				      &desc->bd_phys, GFP_NOWAIT);
  	if (!desc->bd) {
  		ret = -ENOMEM;
  		goto out;